Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.regexp.xmlschema
Class XSREDocDecl

    java.lang.Object
      com.sun.msv.verifier.regexp.REDocumentDeclaration
          com.sun.msv.verifier.regexp.xmlschema.XSREDocDecl

All Implemented Interfaces:
  DocumentDeclaration

public class XSREDocDecl
extends REDocumentDeclaration

`REDocumentDeclaration` that supports several W3C XML Schema specific semantics.

If you do validation by using W3C XML Schema, then you should use this VGM instead of plain `REDocumentDeclaration`. You should also use `IDConstraintChecker` instead of Verifier class.

This package implements the following things:

1. the xsi:nil attribute support.
2. the runtime type substitution by the xsi:type attribute

Field Summary
`static java.lang.String` | `ERR_NON_NILLABLE_ELEMENT`
`static java.lang.String` | `ERR_NOT_SUBSTITUTABLE_TYPE`
`static java.lang.String` | `ERR_UNDEFINED_TYPE`

Fields inherited from class com.sun.msv.verifier.regexp.REDocumentDeclaration
`attToken, DIAG_BAD_ATTRIBUTE_VALUE_DATATYPE, DIAG_BAD_ATTRIBUTE_VALUE_GENERIC, DIAG_BAD_ATTRIBUTE_VALUE_MORE, DIAG_BAD_ATTRIBUTE_VALUE_SEPARATOR, DIAG_BAD_ATTRIBUTE_VALUE_WRAPUP, DIAG_BAD_KEY_VALUE, DIAG_BAD_KEY_VALUE2, DIAG_BAD_LITERAL_GENERIC, DIAG_BAD_LITERAL_INCORRECT_VALUE, DIAG_BAD_LITERAL_MORE, DIAG_BAD_LITERAL_SEPARATOR, DIAG_BAD_LITERAL_WRAPUP, DIAG_BAD_TAGNAME_GENERIC, DIAG_BAD_TAGNAME_MORE, DIAG_BAD_TAGNAME_PROBABLY_WRONG_NAMESPACE, DIAG_BAD_TAGNAME_SEPARATOR, DIAG_BAD_TAGNAME_WRAPUP, DIAG_BAD_TAGNAME_WRONG_NAMESPACE, DIAG_CONTENT_MODEL_IS_NULLSET, DIAG_ELEMENT_NOT_ALLOWED, DIAG_MISSING_ATTRIBUTE_GENERIC, DIAG_MISSING_ATTRIBUTE_MORE, DIAG_MISSING_ATTRIBUTE_SEPARATOR, DIAG_MISSING_ATTRIBUTE_SIMPLE, DIAG_MISSING_ATTRIBUTE_WRAPUP, DIAG_NAMESPACE_NAMECLASS, DIAG_NOT_NAMESPACE_NAMECLASS, DIAG_SIMPLE_NAMECLASS, DIAG_STRING_NOT_ALLOWED, DIAG_UNCOMPLETED_CONTENT_MORE, DIAG_UNCOMPLETED_CONTENT_SEPARATOR, DIAG_UNCOMPLETED_CONTENT_WRAPUP, DIAG_UNDECLARED_ATTRIBUTE, pool`

Constructor Summary
`XSREDocDecl(XMLSchemaGrammar grammar)`

Method Summary
`Acceptor` | `createAcceptor()` creates a new Acceptor that will validate the document element.
`java.lang.String` | `localizeMessage(java.lang.String propertyName, java.lang.Object[] args)`

Methods inherited from class com.sun.msv.verifier.regexp.REDocumentDeclaration
`localizeMessage, localizeMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERR_NON_NILLABLE_ELEMENT

    public static final java.lang.String ERR_NON_NILLABLE_ELEMENT

See Also:
  Constant Field Values

### ERR_NOT_SUBSTITUTABLE_TYPE

    public static final java.lang.String ERR_NOT_SUBSTITUTABLE_TYPE

See Also:
  Constant Field Values

### ERR_UNDEFINED_TYPE

    public static final java.lang.String ERR_UNDEFINED_TYPE

See Also:
  Constant Field Values

Constructor Detail

### XSREDocDecl

    public XSREDocDecl(XMLSchemaGrammar grammar)

Method Detail

### createAcceptor

    public Acceptor createAcceptor()

  Description copied from interface: `DocumentDeclaration`
  creates a new Acceptor that will validate the document element. In RELAX, this concept is equivalent to <topLevel> In TREX, this concept is equivalent to <start>

  Specified by:
    `createAcceptor` in interface `DocumentDeclaration`
  Overrides:
    `createAcceptor` in class `REDocumentDeclaration`

### localizeMessage

    public java.lang.String localizeMessage(java.lang.String propertyName,
                                            java.lang.Object[] args)

  Overrides:
    `localizeMessage` in class `REDocumentDeclaration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD